## quickemu 3.15

=== docs/Makefile ===
include pandoc-man.mk

ifeq ($(PREFIX),)
    PREFIX := /usr/local
endif

datarootdir := $(PREFIX)/share
datadir := $(datarootdir)
mandir := $(datarootdir)/man
bindir :=  $(PREFIX)/bin

all: quickget.1 quickemu.1 quickemu_conf.1

clean:
	rm *.1

install_docs: all
	install -d $(DESTDIR)$(mandir)/man1
	install -m 644 quickget.1 $(DESTDIR)$(mandir)/man1
	install -m 644 quickemu.1 $(DESTDIR)$(mandir)/man1
	install -m 644 quickemu_conf.1 $(DESTDIR)$(mandir)/man1

#   install -m 644 quickgui.1 $(DESTDIR)$(mandir)/man1

install_bins:
	install -d $(DESTDIR)$(bindir)
	install -m 755 ../quickget $(DESTDIR)$(bindir)
	install -m 755 ../quickemu $(DESTDIR)$(bindir)
	install -m 755 ../macrecovery $(DESTDIR)$(bindir)

install: install_bins  install_docs

uninstall::
	rm -f $(DESTDIR)$(mandir)/man1/quickget.1
	rm -f $(DESTDIR)$(mandir)/man1/quickemu.1
	rm -f $(DESTDIR)$(mandir)/man1/quickemu_conf.1
	rm -f $(DESTDIR)$(bindir)/quickget
	rm -f $(DESTDIR)$(bindir)/quickemu
	rm -f $(DESTDIR)$(bindir)/macrecovery


.PHONY: all

=== debian/changelog ===
quickemu (3.15-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 30 Apr 2022 14:25:38 -0700

quickemu (3.15-1~focal1.0) focal; urgency=medium

  * New upstream release.

 -- Martin Wimpress <code@wimpress.io>  Fri, 22 Apr 2022 09:55:13 +0100

quickemu (3.14-1~jammy1.0) jammy; urgency=medium

  * New Upstream release.

 -- Martin Wimpress <code@wimpress.io>  Fri, 11 Mar 2022 16:20:05 +0000

quickemu (3.13-1~focal1.0) focal; urgency=medium

  * New upstream release.

 -- Martin Wimpress <code@wimpress.io>  Thu, 24 Feb 2022 23:00:05 +0000

quickemu (3.12-1~jammy1.0) jammy; urgency=medium

  * New upstream release.

 -- Martin Wimpress <code@wimpress.io>  Tue, 22 Feb 2022 12:13:16 +0000

quickemu (3.11-1~jammy1.0) jammy; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 08 Dec 2021 11:01:04 +0000

quickemu (2.3.4-1~jammy1.0) jammy; urgency=medium

  * New upstream release.

 -- Martin Wimpress <code@wimpress.io>  Mon, 06 Dec 2021 11:53:50 +0000

quickemu (2.3.3-1~jammy1.0) jammy; urgency=medium

  * New upstream release.

 -- Martin Wimpress <code@wimpress.io>  Fri, 03 Dec 2021 11:38:10 +0000

quickemu (2.3.2-1~jammy1.0) jammy; urgency=medium

  * New upstream release.

 -- Martin Wimpress <code@wimpress.io>  Sun, 14 Nov 2021 10:25:06 +0000

quickemu (2.3.1-1~jammy1.0) jammy; urgency=medium

  * New upstream release.

 -- Martin Wimpress <code@wimpress.io>  Mon, 08 Nov 2021 00:54:38 +0000

quickemu (2.3.0-1~focal1.0) focal; urgency=medium

  * New upstream release

 -- Martin Wimpress <code@wimpress.io>  Fri, 29 Oct 2021 10:03:58 +0100

quickemu (2.2.9-1~focal1.0) focal; urgency=medium

  * New upstream release.

 -- Martin Wimpress <code@wimpress.io>  Thu, 28 Oct 2021 22:46:37 +0100

quickemu (2.2.8-1~focal1.0) focal; urgency=medium

  * New upstream release.

 -- Martin Wimpress <code@wimpress.io>  Thu, 28 Oct 2021 16:13:20 +0100

quickemu (2.2.7-1~focal1.0) focal; urgency=medium

  * New upstream release.

 -- Martin Wimpress <code@wimpress.io>  Wed, 27 Oct 2021 12:57:59 +0100

quickemu (2.2.6-1~jammy1.0) jammy; urgency=medium

  * New upstream release

 -- Martin Wimpress <code@wimpress.io>  Thu, 21 Oct 2021 10:57:35 +0100

quickemu (2.2.5-1~jammy1.0) jammy; urgency=medium

  * New upstream release.

 -- Martin Wimpress <code@wimpress.io>  Sat, 16 Oct 2021 11:35:41 +0100

quickemu (2.2.4-1~impish1.0) impish; urgency=medium

  * New upstream release.

 -- Martin Wimpress <code@wimpress.io>  Fri, 15 Oct 2021 12:50:05 +0100

quickemu (2.2.3-1~impish1.0) impish; urgency=medium

  * New upstream release.

 -- Martin Wimpress <code@wimpress.io>  Fri, 08 Oct 2021 15:06:50 +0100

quickemu (2.2.2-1~impish1.0) impish; urgency=medium

  * New upstream release.

 -- Martin Wimpress <code@wimpress.io>  Fri, 08 Oct 2021 02:39:00 +0100

quickemu (2.2.1-1~impish1.0) impish; urgency=medium

  * New upstream release.

 -- Martin Wimpress <code@wimpress.io>  Thu, 07 Oct 2021 16:23:33 +0100

quickemu (2.2.0-1~impish1.0) impish; urgency=medium

  * New upstream release.

 -- Martin Wimpress <code@wimpress.io>  Wed, 06 Oct 2021 11:08:33 +0100

quickemu (2.1.0-1~focal1.0) focal; urgency=medium

  * New upstream release.

 -- Martin Wimpress <code@wimpress.io>  Tue, 05 Oct 2021 17:12:48 +0100

quickemu (1.0.0-1~focal1.2) focal; urgency=medium

  * Initial release.

 -- Martin Wimpress <code@wimpress.io>  Mon, 06 Sep 2021 23:11:44 +0100

=== debian/control ===
Source: quickemu
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Martin Wimpress <code@wimpress.io>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.1
Homepage: https://github.com/wimpysworld/quickemu
Vcs-Browser: https://github.com/wimpysworld/quickemu
Vcs-Git: https://github.com/wimpysworld/quickemu.git
Rules-Requires-Root: no

Package: quickemu
Architecture: all
Depends: coreutils,
         genisoimage,
         jq,
         procps,
         python3-minimal,
         qemu-system (>= 6.0),
         spice-client-gtk,
         swtpm,
         usbutils,
         util-linux,
         wget,
         x11-xserver-utils,
         xdg-user-dirs,
         zsync,
         ${misc:Depends},
#         ${shlibs:Depends}
Description: Quickemu creates and runs optimised virtual machines.
 Simple script to "manage" Qemu virtual machines. Each virtual machine
 configuration is a few lines long requiring minimal setup. The main objective
 of the project is to enable quick testing of desktop Linux distributions where
 the virtual machines configuration and disk images can be stored anywhere,
 such as external USB storage or your home directory. Windows and macOS guests
 are also supported.
 .

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%quickemu-$1.tar.gz%" \
   https://github.com/wimpysworld/quickemu/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## quickemu 4.9.2

=== debian/changelog ===
quickemu (4.9.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1018072)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sat, 22 Jun 2024 07:48:54 +0800

=== debian/control ===
Source: quickemu
Section: utils
Priority: optional
Maintainer: Maytham Alsudany <maytha8thedev@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://github.com/quickemu-project/quickemu
Vcs-Browser: https://salsa.debian.org/Maytha8/quickemu
Vcs-Git: https://salsa.debian.org/Maytha8/quickemu.git

Package: quickemu
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 genisoimage,
 jq,
 libtss2-tcti-swtpm0,
 procps,
 python3,
 qemu-system-x86,
 qemu-utils,
 spice-client-gtk,
 unzip,
 usbutils,
 wget,
 xdg-user-dirs,
 zsync,
Description: quickly create and run optimised virtual machines
 Quickemu is a wrapper for the excellent QEMU that attempts to automatically
 "do the right thing", rather than expose exhaustive configuration options.
 .
 Quickly create and run optimised Windows, macOS and Linux desktop virtual
 machines; with just two commands. You decide what operating system you want to
 run and Quickemu will figure out the best way to do it for you. For example:
 .
   quickget ubuntu-mate 22.04
   quickemu --vm ubuntu-mate-22.04.conf
 .
 The original objective of the project was to enable quick testing of Linux
 distributions where the virtual machine configurations can be stored anywhere,
 such as external USB storage or your home directory, and no elevated
 permissions are required to run the virtual machines. Quickemu now also
 includes comprehensive support for macOS and Windows.

## quickemu 4.9.7

=== docs/Makefile ===
include pandoc-man.mk

ifeq ($(PREFIX),)
    PREFIX := /usr/local
endif

datarootdir := $(PREFIX)/share
datadir := $(datarootdir)
mandir := $(datarootdir)/man
bindir :=  $(PREFIX)/bin

all: quickget.1 quickemu.1 quickemu_conf.5

clean:
	rm *.1 *.5

install_docs: all
	install -d $(DESTDIR)$(mandir)/man1
	install -d $(DESTDIR)$(mandir)/man5
	install -m 644 quickget.1 $(DESTDIR)$(mandir)/man1
	install -m 644 quickemu.1 $(DESTDIR)$(mandir)/man1
	install -m 644 quickemu_conf.5 $(DESTDIR)$(mandir)/man5
	rm -f $(DESTDIR)$(mandir)/man1/quickemu_conf.1

#   install -m 644 quickgui.1 $(DESTDIR)$(mandir)/man1

install_bins:
	install -d $(DESTDIR)$(bindir)
	install -m 755 ../quickget $(DESTDIR)$(bindir)
	install -m 755 ../quickemu $(DESTDIR)$(bindir)
	install -m 755 ../quickreport $(DESTDIR)$(bindir)
	install -m 755 ../chunkcheck $(DESTDIR)$(bindir)

install: install_bins  install_docs

uninstall::
	rm -f $(DESTDIR)$(mandir)/man1/quickget.1
	rm -f $(DESTDIR)$(mandir)/man1/quickemu.1
	rm -f $(DESTDIR)$(mandir)/man5/quickemu_conf.5
	rm -f $(DESTDIR)$(bindir)/quickget
	rm -f $(DESTDIR)$(bindir)/quickemu
	rm -f $(DESTDIR)$(bindir)/quickreport
	rm -f $(DESTDIR)$(bindir)/macrecovery
	rm -f $(DESTDIR)$(bindir)/chunkcheck


.PHONY: all

=== debian/changelog ===
quickemu (4.9.7-4) unstable; urgency=medium

  * Add missing curl and uuid-runtime dependencies (Closes: #1109330)

 -- Maytham Alsudany <maytham@debian.org>  Mon, 28 Jul 2025 09:53:59 +0800

quickemu (4.9.7-3) unstable; urgency=medium

  * Backport patch to fix fetching QEMU version (Closes: #1105178)

 -- Maytham Alsudany <maytham@debian.org>  Mon, 28 Jul 2025 08:40:03 +0800

quickemu (4.9.7-2) unstable; urgency=medium

  * Depend: swtpm instead of libtss2-tcti-swtpm0 (Closes: #1076281)

 -- Maytham Alsudany <maytham@debian.org>  Sun, 02 Mar 2025 11:59:45 +0800

quickemu (4.9.7-1) unstable; urgency=medium

  * New upstream version 4.9.7
    * Remove installation of macrecovery, no longer supplied
  * Source-only upload.
  * Update d/copyright.
    Thanks to Thorsten Alteholz
  * Bump Standards-Version to 4.7.2 (no changes)
  * Update my maintenance email
  * Build and install manpages

 -- Maytham Alsudany <maytham@debian.org>  Sun, 02 Mar 2025 10:56:24 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: quickemu
 Section: utils
 Priority: optional
-Maintainer: Maytham Alsudany <maytha8thedev@gmail.com>
+Maintainer: Maytham Alsudany <maytham@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.2
+ pandoc,
+Standards-Version: 4.7.2
 Homepage: https://github.com/quickemu-project/quickemu
 Vcs-Browser: https://salsa.debian.org/Maytha8/quickemu
 Vcs-Git: https://salsa.debian.org/Maytha8/quickemu.git
@@ -15,16 +16,18 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+ curl,
  genisoimage,
  jq,
- libtss2-tcti-swtpm0,
  procps,
  python3,
  qemu-system-x86,
  qemu-utils,
  spice-client-gtk,
+ swtpm,
  unzip,
  usbutils,
+ uuid-runtime,
  wget,
  xdg-user-dirs,
  zsync,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C docs all

override_dh_auto_clean:
	$(MAKE) -C docs clean

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/quickemu-project/quickemu/tags \
  (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
